Announcement

#1 2024-03-15 11:48:59

a.serain
Member
2024-03-15
1

Upgrade from version 2.9.5 to latest

Hi everyone,

I've recently been assigned for my job to work on an existing installation of Piwigo that hasn't been updated for quite a long.
I've just started working on Piwigo, but have good IT knowledge.

This is what I seen under Tools => Maintenance page, plus some more information I managed to retrieve:
- Piwigo 2.9.5 (our current version)
- Operating System: CentOS Linux 7 (Core), Kernel: Linux 3.10.0-1160.53.1.el7.x86_64
- PHP: 5.4.16 [2024-03-15 13:36:41]
- MySQL: 5.5.68-MariaDB [2024-03-15 13:36:41]
- Graphic Library: External ImageMagick 6.9.10-68

We want to upgrade our Piwigo installation to the latest version (14.3.0 as I'm writing this), is it safe to directly perform an authomatic update as suggested in Tools => Update? What are the minimun requirements? Should we manually upgrade first to any intermediate milestone?
Do we neeed to update plugins and/or extensions before proceeding with the main upgrade?

Under Extensions, Piwigo suggests to update "Ldap_Login" from version 2.0 to 2.2a, and "Italian language" from 2.9.3 to 2.9.5 (our installation is in italian).
In the update section, Piwigo is telling me that "ImageMagick GPS" plugin (installed but disabled) could not be compatible with version 14.3.0. Same message for "Bootstrap Default" theme, which is currenlty active but not set as default.

Sorry for the long post, but I'm seeking some help before trying the upgrade process.
Thanks in advance for any suggestion!

Last edited by a.serain (2024-03-15 13:58:21)

Offline

 

#2 2024-03-15 12:40:12

OHappyDay
Member
2023-02-08
73

Re: Upgrade from version 2.9.5 to latest

I am not a developer but I guess an update is not safe as you are still on a probably not supported PHP version (5.4).

Offline

 

#3 2024-03-15 17:57:14

erAck
Only trying to help
2015-09-06
2091

Re: Upgrade from version 2.9.5 to latest

Backup all Piwigo files and images.
Export/mysqldump the database.
Place that entire system in a museum shelf.
Start from scratch and install a recent server operating system (Debian|RHEL|AlmaLinux|OpenSUSE) with web server, MySQL 8 or MariaDB 10, PHP 7.4 (do not use PHP 8.x yet), ImageMagick.
Setup database to use with the Piwigo's local/config/database.inc.php credentials.
Restore all Piwigo files and images.
Import database dump.
Continue with https://piwigo.org/guides/update/manual
Upgrade to PHP 8.1 or 8.2


Running Piwigo at https://erack.net/gallery/

Offline

 

Board footer

Powered by FluxBB

github twitter newsletter Donate Piwigo.org © 2002-2024 · Contact